Package org.eclipse.ui.actions

# Class TextActionHandler

java.lang.Object
org.eclipse.ui.actions.TextActionHandler

public class TextActionHandler extends Object
Handles the redirection of the global Cut, Copy, Paste, and Select All actions to either the current inline text control or the part's supplied action handler.

This class may be instantiated; it is not intended to be subclassed.

Example usage:

     textActionHandler = new TextActionHandler(this.getViewSite().getActionBars());
     textActionHandler.addText((Text) textCellEditor1.getControl());
     textActionHandler.addText((Text) textCellEditor2.getControl());
     textActionHandler.setSelectAllAction(selectAllAction);

Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`TextActionHandler(IActionBars actionBar)`
Creates a `Text` control action handler for the global Cut, Copy, Paste, Delete, and Select All of the action bar.
`TextActionHandler(IActionBars actionBar, boolean autoMode)`
Creates a `Text` control action handler for the global Cut, Copy, Paste, Delete, and Select All of the action bar.

## Method Summary

Modifier and Type
Method
Description
`void`
`addText(Text textControl)`
Add a `Text` control to the handler so that the Cut, Copy, Paste, Delete, and Select All actions are redirected to it when active.
`void`
`dispose()`
Dispose of this action handler
`void`
`removeText(Text textControl)`
Removes a `Text` control from the handler so that the Cut, Copy, Paste, Delete, and Select All actions are no longer redirected to it when active.
`void`
`setCopyAction(IAction action)`
Set the default `IAction` handler for the Copy action.
`void`
`setCutAction(IAction action)`
Set the default `IAction` handler for the Cut action.
`void`
`setDeleteAction(IAction action)`
Set the default `IAction` handler for the Delete action.
`void`
`setPasteAction(IAction action)`
Set the default `IAction` handler for the Paste action.
`void`
`setSelectAllAction(IAction action)`
Set the default `IAction` handler for the Select All action.
`void`
`updateActionBars()`
Updates the actions bars.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextActionHandler

public TextActionHandler(IActionBars actionBar)
Creates a `Text` control action handler for the global Cut, Copy, Paste, Delete, and Select All of the action bar.

Parameters:
  `actionBar` - the action bar to register global action handlers for Cut, Copy, Paste, Delete, and Select All

### TextActionHandler

public TextActionHandler(IActionBars actionBar, boolean autoMode)
Creates a `Text` control action handler for the global Cut, Copy, Paste, Delete, and Select All of the action bar.

Parameters:
  `actionBar` - the action bar to register global action handlers for Cut, Copy, Paste, Delete, and Select All
  `autoMode` - If `true` the actions (copy, past, ...) to use while no text widget is active are automatically populated from the actionBars global action handles which are active at the time an inline text control is activated.

  The setXxxAction methods have no use if autoMode is `true`.

Since:
  3.18

## Method Details

### updateActionBars

public void updateActionBars()
Updates the actions bars.

Since:
  3.6

### addText

public void addText(Text textControl)
Add a `Text` control to the handler so that the Cut, Copy, Paste, Delete, and Select All actions are redirected to it when active.

Parameters:
  `textControl` - the inline `Text` control

### dispose

public void dispose()
Dispose of this action handler

### removeText

public void removeText(Text textControl)
Removes a `Text` control from the handler so that the Cut, Copy, Paste, Delete, and Select All actions are no longer redirected to it when active.

Parameters:
  `textControl` - the inline `Text` control

### setCopyAction

public void setCopyAction(IAction action)
Set the default `IAction` handler for the Copy action. This `IAction` is run only if no active inline text control.

Parameters:
  `action` - the `IAction` to run for the Copy action, or `null` if not interested.

### setCutAction

public void setCutAction(IAction action)
Set the default `IAction` handler for the Cut action. This `IAction` is run only if no active inline text control.

Parameters:
  `action` - the `IAction` to run for the Cut action, or `null` if not interested.

### setPasteAction

public void setPasteAction(IAction action)
Set the default `IAction` handler for the Paste action. This `IAction` is run only if no active inline text control.

Parameters:
  `action` - the `IAction` to run for the Paste action, or `null` if not interested.

### setSelectAllAction

public void setSelectAllAction(IAction action)
Set the default `IAction` handler for the Select All action. This `IAction` is run only if no active inline text control.

Parameters:
  `action` - the `IAction` to run for the Select All action, or `null` if not interested.

### setDeleteAction

public void setDeleteAction(IAction action)
Set the default `IAction` handler for the Delete action. This `IAction` is run only if no active inline text control.

Parameters:
  `action` - the `IAction` to run for the Delete action, or `null` if not interested.